import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.clientProfiles.update("id", {});
}
main();
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.clientProfiles.update("id", {});
}
main();
package example
import (
context "context"
management "github.com/auth0/go-auth0/v3/management"
client "github.com/auth0/go-auth0/v3/management/client"
option "github.com/auth0/go-auth0/v3/management/option"
)
func do() {
mgmt, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
request := &management.UpdateClientProfileRequestContent{}
mgmt.ClientProfiles.Update(
context.TODO(),
"id",
request,
)
}
# Ensure you're logged in: auth0 login
auth0 api patch "client-profiles/id" --data '{}'using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementApiClient(
token: "<token>",
clientOptions: new ClientOptions { BaseUrl = "https://{YOUR_DOMAIN}/api/v2" }
);
await client.ClientProfiles.UpdateAsync(
id: "id",
request: new UpdateClientProfileRequestContent()
);
}
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.types.UpdateClientProfileRequestContent;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.clientProfiles().update(
"id",
UpdateClientProfileRequestContent
.builder()
.build()
);
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Wrapper\ManagementClient;
use Auth0\SDK\API\Management\Wrapper\ManagementClientOptions;
use Auth0\SDK\API\Management\ClientProfiles\Requests\UpdateClientProfileRequestContent;
$client = new ManagementClient(new ManagementClientOptions(
domain: '{YOUR_DOMAIN}',
token: '<token>',
));
$client->clientProfiles->update(
'id',
new UpdateClientProfileRequestContent([]),
);
from auth0.management import ManagementClient
client = ManagementClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.client_profiles.update(
id="id",
)
require "auth0"
client = Auth0::Management.new(token: "<token>", base_url: "https://{YOUR_DOMAIN}/api/v2")
client.client_profiles.update(id: "id")
curl --request PATCH \
--url https://{tenantDomain}/api/v2/client-profiles/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"client_configuration": {
"refresh_token": {
"token_lifetime": {
"default_value": 15778800
},
"idle_token_lifetime": {
"default_value": 15778800
},
"leeway": {
"default_value": 1
}
},
"organization_usage": {},
"organization_require_behavior": {},
"organization_discovery_methods": {
"default_value": []
},
"require_proof_of_possession": {
"default_value": true
}
}
}
'{
"id": "<string>",
"name": "<string>",
"client_configuration": {
"refresh_token": {
"token_lifetime": {
"default_value": 15778800
},
"idle_token_lifetime": {
"default_value": 15778800
},
"leeway": {
"default_value": 1
}
},
"organization_usage": {
"default_value": "deny"
},
"organization_require_behavior": {
"default_value": "no_prompt"
},
"organization_discovery_methods": {
"default_value": [
"email"
]
},
"require_proof_of_possession": {
"default_value": true
}
},
"apply_policy": {
"external_metadata_type": "cimd",
"external_metadata_created_by": "client"
},
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}クライアントプロファイルを更新
クライアントプロファイルを更新します。最上位レベルでの部分更新(JSON Merge Patch)に対応しており、省略された最上位レベルのフィールドは変更されません。client_configurationなどのネストされたオブジェクトは、全体を指定する必要があります。
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.clientProfiles.update("id", {});
}
main();
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.clientProfiles.update("id", {});
}
main();
package example
import (
context "context"
management "github.com/auth0/go-auth0/v3/management"
client "github.com/auth0/go-auth0/v3/management/client"
option "github.com/auth0/go-auth0/v3/management/option"
)
func do() {
mgmt, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
request := &management.UpdateClientProfileRequestContent{}
mgmt.ClientProfiles.Update(
context.TODO(),
"id",
request,
)
}
# Ensure you're logged in: auth0 login
auth0 api patch "client-profiles/id" --data '{}'using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementApiClient(
token: "<token>",
clientOptions: new ClientOptions { BaseUrl = "https://{YOUR_DOMAIN}/api/v2" }
);
await client.ClientProfiles.UpdateAsync(
id: "id",
request: new UpdateClientProfileRequestContent()
);
}
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.types.UpdateClientProfileRequestContent;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.clientProfiles().update(
"id",
UpdateClientProfileRequestContent
.builder()
.build()
);
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Wrapper\ManagementClient;
use Auth0\SDK\API\Management\Wrapper\ManagementClientOptions;
use Auth0\SDK\API\Management\ClientProfiles\Requests\UpdateClientProfileRequestContent;
$client = new ManagementClient(new ManagementClientOptions(
domain: '{YOUR_DOMAIN}',
token: '<token>',
));
$client->clientProfiles->update(
'id',
new UpdateClientProfileRequestContent([]),
);
from auth0.management import ManagementClient
client = ManagementClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.client_profiles.update(
id="id",
)
require "auth0"
client = Auth0::Management.new(token: "<token>", base_url: "https://{YOUR_DOMAIN}/api/v2")
client.client_profiles.update(id: "id")
curl --request PATCH \
--url https://{tenantDomain}/api/v2/client-profiles/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"client_configuration": {
"refresh_token": {
"token_lifetime": {
"default_value": 15778800
},
"idle_token_lifetime": {
"default_value": 15778800
},
"leeway": {
"default_value": 1
}
},
"organization_usage": {},
"organization_require_behavior": {},
"organization_discovery_methods": {
"default_value": []
},
"require_proof_of_possession": {
"default_value": true
}
}
}
'{
"id": "<string>",
"name": "<string>",
"client_configuration": {
"refresh_token": {
"token_lifetime": {
"default_value": 15778800
},
"idle_token_lifetime": {
"default_value": 15778800
},
"leeway": {
"default_value": 1
}
},
"organization_usage": {
"default_value": "deny"
},
"organization_require_behavior": {
"default_value": "no_prompt"
},
"organization_discovery_methods": {
"default_value": [
"email"
]
},
"require_proof_of_possession": {
"default_value": true
}
},
"apply_policy": {
"external_metadata_type": "cimd",
"external_metadata_created_by": "client"
},
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}承認
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
パスパラメータ
クライアントプロファイルのID。 クライアントプロファイルの識別子。
ボディ
最上位レベルの JSON Merge Patch (RFC 7386): 省略された最上位レベルのフィールドは変更されません。client_configuration などのネストされたオブジェクトは、全体を指定する必要があります。
クライアントプロファイルの表示名。
1 - 128^[^\u0000]*$クライアントプロファイルの説明(任意)。
256^[^\u0000]*$照合条件に一致するクライアントに適用される実行時ポリシー。省略されたフィールドには、各クライアントの設定が適用されます。
Show child attributes
Show child attributes
このプロファイルの適用対象となるクライアントを決定する、実行時の照合ルール。
Show child attributes
Show child attributes
レスポンス
クライアントプロファイルが正常に更新されました。
クライアントプロファイルの識別子。
クライアントプロファイルの表示名。
1 - 128^[^\u0000]*$照合条件に一致するクライアントに適用される実行時ポリシー。省略されたフィールドには、各クライアントの設定が適用されます。
Show child attributes
Show child attributes
このプロファイルの適用対象となるクライアントを決定する、実行時の照合ルール。
Show child attributes
Show child attributes
クライアントプロファイルの説明(任意)。
256^[^\u0000]*$作成日時。
最終更新日時。